Subject: Re: [PATCH] stmmac: fix kernel crash when device probed for SPEAr with DT

From: Giuseppe CAVALLARO <[email-masked]>
Date: Thu, 19 Apr 2012 07:51:48 +0200

Hello Viresh.

On 4/18/2012 7:14 AM, Viresh Kumar wrote:
> On 4/18/2012 10:41 AM, Giuseppe CAVALLARO wrote:
>> I hoped it was fully tested on SPEAr platforms. at any rate
> 
> I am only working for SPEAr3xx with DT support and this patch is must as
> without it we have build failures. Haven't tested on any other SPEAr SoCs, they
> may require extra pdata fields to be initialized, but that will follow with
> their DT support.
> 

I've just sent 4 patches so I kindly ask you to review the patch named:
  [net-next 3/4] stmmac: verify the dma_cfg platform fields
where I reworked the logic behind the dma_cfg conf.

Peppe